/*************** FONTS ***************/
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

/*************** CSS RESET ***************/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/*************** Base Font ***************/
html{
    font-family: "Inter", sans-serif;
}

main{
    width: 85%;
    max-width: 400px;
    margin: auto;
    border: 2px solid black;
}

header{
    width: 85%;
    margin: auto auto 20px auto;
    max-width: 400px;
}

h1{
    font-weight: 800;
    font-size: 2em;
    margin-top: 20px;
}

h1 a{
    text-decoration: none;
    color: black;
}

header p{
    font-weight: 600;
}

h2{
    text-align: center;
    font-size: 1.5em;
    font-weight: 600;
    margin-top: 20px;
}

nav{
    z-index: 2;
}

.bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: black;
    margin: 6px 0;
    transition: 0.4s;
    border-radius: 5px;
    margin: 2.8px 0px;
}

.change .bar1{
    -webkit-transform: rotate(-45deg) translate(-7px, 7px);
    transform: rotate(-45deg) translate(-7px, 7px);
}

.change .bar2{
    opacity: 0;
}

.change .bar3{
    -webkit-transform: rotate(45deg) translate(-7px, -8px);
    transform: rotate(45deg) translate(-7px, -8px);
}

#bars{
    position: absolute;
    right: 20px;
    top: 20px;
    display: flex;
    flex-direction: column;
    align-items:end;
    z-index: 2;
    margin: auto;
}

#Menu{
    display: none;
    /* position: absolute; */
    height: 100vh;
    width: 100vw;
    left: 0;
    top: 59px;
    z-index: 1;
    background-color: white;
}

#Menu li{
    width: 85%;
    margin: 0px auto 10px auto;
    max-width: 490px;
}

#Menu>li:first-child{
    margin-top: 20px;
}

#Menu li a{
    text-decoration: none;
    font-family: "Inter", sans-serif;
    color: black;
    font-size: 1.3rem;
    font-weight: 600;
}

main p{
    text-indent: 1em;
    font-size: 1em;
    margin:  20px;
}

h3{
    font-size: 1.2em;
    text-align: center;
    font-weight: 600;
}

footer{
    position: relative;
    bottom: 0;
    text-align: center;
    background-color: black;
    width: 100%;
    margin: 0px auto;
    padding: 10px 0px;
}

footer p{
    color: white;
}

.scroll-nav{
    position: fixed;
    background-color: aqua;
    float: left;
    padding: 10px;
    border-top: 2px black solid;
    border-right: 2px black solid;
    border-bottom: 2px black solid;
    width: 50%;
    max-width: 300px;
}

.scroll-nav a{
    text-decoration: none;
}

.scroll-nav h4{
    color: black;
}

/*************** Small Screen ***************/
@media screen and (min-width: 750px) {

    #bars{
        display: none;
    }

    header{
        display: grid;
        grid-template-columns: 1fr 1.75fr;
        grid-template-rows: 1fr 0.5fr;
        width: 80%;
        max-width: 940px;
        margin-bottom: 0;
    }

    #Menu{
        display: flex;
        justify-content: center;
        height: auto;
        width: auto;
        text-align: center;
        margin: 0;
    }

    nav{
        grid-column: 2/3;
        grid-row: 2/3;
    }

    #Menu li{
        margin: 0;
    }

    #Menu>li:first-child{
        margin: 0;
    }

    #Menu li a{
        font-size: 1em;
        font-weight: 600;
        
    }

    h1{
        grid-column: 1/2;
        grid-row: 1/2;
    }

    p{
        grid-column: 1/2;
        grid-row: 2/3;
    }

    main{
        width: 80%;
        max-width: 940px;
    }

    footer{
        position:relative;
    }

    #short-footer{
        position: absolute;
        bottom: 0;
    }
}

/*************** Large Screens ***************/
@media screen and (min-width: 966px) {
    header{
        margin: 10px auto 50px auto;
    }

    h2{
        margin-top: 50px;
        font-size: 1.75em;
    }

    #Menu li a{
        font-size: 1.2em;
    }

    h3{
        font-size: 1.5em;
    }

    main p{
        text-indent: 2em;
        font-size: 1.2em;
        margin: 40px 70px;
    }

    main p:last-child{
        margin-bottom: 70px;
    }
}